
QGIS Application - Bug report #3379

QGIS fails to detect missing QtWebKit/QWebView

2011-01-01 01:53 PM - marisn -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13439

Description

Seems that configuration magic is not robust enough. trunk r14989

[ 40%] Building CXX object src/helpviewer/CMakeFiles/qgis_help.dir/main.cpp.o

In file included from /home/ddd/soft/qgis_unstable/src/helpviewer/qgshelpviewer.h:22:0,

                 from /home/ddd/soft/qgis_unstable/src/helpviewer/main.cpp:23:

/home/ddd/soft/qgis_unstable/src/helpviewer/ui_qgshelpviewerbase.h:21:29: fatal error: [[QtWebKit]]/QWebView: No such file or

directory

compilation terminated.

History

#1 - 2011-01-01 02:27 PM - Jürgen Fischer

QGIS relies on CMake's Qt detection.  Which version of cmake are you running?

#2 - 2011-01-01 03:14 PM - marisn -

Replying to [comment:1 jef]:

QGIS relies on CMake's Qt detection.  Which version of cmake are you running?

cmake version 2.8.3

I have Qt, still I had no qt-webkit installed.

#3 - 2011-01-02 03:32 AM - marisn -

- Resolution set to invalid

- Status changed from Open to Closed

rm'ing source and making a fresh checkout fixed problem. cmake started to complain about missing [[QtWebkit]], as it should.  Seems that there was

cached some test from time when this machine still had [[QtWebkit]]. Too bad that there's no make distclean to avoid such problems.
